Subject: [PATCH] Add coala and coala-bears.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sat, 24 Mar 2018 14:31:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: moreinfo

Coala is a static analysis tool for software which provides an interface
to a variety of tools.

I've got a branch which includes the imported packages for Coala needed
to make it work. I've only just started looking at using Coala, and I've
only been looking at the Ruby related tooling so far.

Anyway, there is a branch up here if anyone is interested [1].

1: http://git.cbaines.net/guix/log/?h=coala

Christopher Baines (36):
  Fix python-flake8-polyfill
  gnu: Add python-sybil.
  gnu: Add python-sarge.
  gnu: Add python-unidiff.
  gnu: Add python-testfixtures.
  gnu: Add python-pyprint.
  gnu: Add python-libclang-py3.
  gnu: Add python-coala-utils.
  gnu: Add python-dependency-management.
  gnu: Add python-colorlog.
  gnu: Add coala.
  gnu: Add python-autoflake.
  gnu: Add python-cmakelint.
  gnu: Add python-cppclean.
  gnu: Add python-cpplint.
  gnu: Add python-dennis.
  gnu: Add python-eradicate.
  gnu: Add python-guess-language-spirit.
  gnu: Add python-template-remover.
  gnu: Add python-html-linter.
  gnu: Add python-mypy-lang.
  gnu: Add python-proselint.
  gnu: Add python-pydocstyle.
  gnu: Add python-pyroma.
  gnu: Add python-restructuredtext-lint.
  gnu: Add python-rstcheck.
  gnu: Add python-dparse.
  gnu: Add python-safety.
  gnu: Add python-scspell3k.
  gnu: Add python-ansicolor.
  gnu: Add python-vim-vint.
  gnu: Add python-vulture.
  gnu: Add python-pathspec.
  gnu: Add python-yamllint.
  gnu: Add python-munkres3.
  gnu: Add coala-bears.

 gnu/packages/python.scm | 859 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 857 insertions(+), 2 deletions(-)